# Namespaces

##

### Classes

Circle
Cluster
ClusterIconInfo
ClusterIconStyle
Feature
LatLngLiteral
Map
InfoWindow
Marker
MarkerCluster
MapControl
MarkerClusterer
MarkerClustererOptions

### Namespaces

maps
Utils

### Events

#### click

  This event is fired when a cluster marker is clicked.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `c` | Cluster | The cluster that was clicked.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 106

#### clusteringbegin

  This event is fired when the `MarkerClusterer` begins
  clustering markers.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `mc` | MarkerClusterer | The MarkerClusterer whose markers are being clustered.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 1446

#### clusteringend

  This event is fired when the `MarkerClusterer` stops
  clustering markers.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `mc` | MarkerClusterer | The MarkerClusterer whose markers are being clustered.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 1491

#### mouseout

  This event is fired when the mouse moves out of a cluster marker.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `c` | Cluster | The cluster that the mouse moved out of.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 153

#### mouseover

  This event is fired when the mouse moves over a cluster marker.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `c` | Cluster | The cluster that the mouse moved over.

  Source:
    - utils/v3-utility-library-master/markerclustererplus/src/markerclusterer.js, line 142

#### Search results